<!DOCTYPE html>

<html>
    <head>
    	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<meta content="width=device-width, initial-scale=1" name="viewport" />
        <title>E-Katalog 5.0</title>
        <link rel="icon" type="image/x-icon" href="@{'/public/images/favicon.png'}">
        <link rel="stylesheet" media="screen" href="@{'/public/stylesheets/app.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/fa/css/font-awesome.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/stylesheets/bootstrap-datatables.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/stylesheets/landing.css'}">
        <link rel="stylesheet" media="screen" href="@{'/public/stylesheets/bootstrap-social.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/datepicker/css/bootstrap-datepicker.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/eonasdan-bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/select2/css/select2.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/sweetalert2/dist/sweetalert2.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/fileuploader-2.2/dist/font/font-fileuploader.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/lightgallery.js-1.1.3/dist/css/lightgallery.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/fileuploader-2.2/dist/jquery.fileuploader.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/javascripts/jQuery-Tags-Input-master/src/jquery.tagsinput.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/stylesheets/ekko-lightbox.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/stylesheets/jquery-ui.min.css'}">
		<link rel="stylesheet" media="screen" href="@{'/public/plugins/spinner/dist/loading.min.css'}">

	#{get 'moreStyles' /}
        <link rel="shortcut icon" type="image/x-icon" href="@{'/public/images/favicon.png'}">
		<link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700" rel="stylesheet">
	#{if play.mode.name() == 'PROD'}
		<script>
            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r;
                i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date();
                a = s.createElement(o),
                        m = s.getElementsByTagName(o)[0];
                a.async = 1;
                a.src = g;
                m.parentNode.insertBefore(a, m)
            })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

            ga('create', 'UA-58838321-1', 'auto');
            ga('send', 'pageview');
        </script>
	#{/if}
    </head>
    <body>
    	
    	<div id="mobile-menu" class="menu-wrapper">
   			<a href="javascript:void(0)" class="closebtn" onclick="closeNav()"><span class="fa fa-close"></span></a>
    		#{mobilemenu /}
    	</div>
    	
    	<div id="main" class="main-wrapper">
   			<!-- Header -->
   			<div class="main-header-wrapper">
   				<div class="helper-menu">
   					<div class="container-fluid">
   						<ul>
	   						*{#{if aktifUser!=null}}*
	   						*{<li><a href="@{PublikCtr.syaratKetentuan()}">&{'syarat_ketentuan.label'}</a></li>}*
	   						*{#{/if}}*
	   						*{<li><a href="@{PublikCtr.faq()}">&{'faq.label'}</a></li>}*
	   						*{<li><a href="@{PublikCtr.hubungiKami()}">&{'hubungi_kami.label'}</a></li>}*
							#{if aktifUser!=null}
								#{if aktifUser.isPpk()}
									<li>
										<a href="@{purchasing.KeranjangBelanjaCtr.index()}" id="basketBtn" style="text-decoration: none">
											<i class="fa fa-shopping-cart"></i> &{'keranjang.label'} <span class="badge totalProdukKeranjang">${totalProdukKeranjang > 0 ? totalProdukKeranjang :''}</span>
										</a>
									</li>
								#{/if}
								#{if aktifUser.isPp()}
									<li>
										<a href="@{purchasing.KeranjangBelanjaCtr.index()}" id="basketBtn" style="text-decoration: none">
											<i class="fa fa-shopping-cart"></i> &{'keranjang.label'} <span class="badge totalProdukKeranjang">${totalProdukKeranjang > 0 ? totalProdukKeranjang :''}</span>
										</a>
									</li>
								#{/if}
								<li>
									<a href="@{chat.ChatCtr.allMessage}" style="text-decoration: none">
										<i class="fa fa-comments-o"></i> &{'pesan.label'} <span class="badge count-notif-pesan"></span>
									</a>
								</li>
							#{/if}
							<li><a href="@{PublikCtr.changeLang()}?lang=id"><img src="/public/images/id.png" style="width: 15px; height: 15px"></a> | <a href="@{PublikCtr.changeLang()}?lang=en"><img src="/public/images/en.png" style="width: 15px; height: 15px"></a></li>
	   					</ul>
   					</div>
   				</div>
   				<nav class="navbar navbar-default sticked-navbar">
					<div class="container-fluid">
						<div class="row">
						<div class="navbar-header">
							<button type="button" class="navbar-toggle collapsed" onclick="openNav()">
								<span class="fa fa-bars"></span>
							</button>
							#{if aktifUser!=null}
							<a class="navbar-brand" href="@{PublikCtr.home()}">
								<img src="@{'/public/images/nav_logo.png'}" class="img img-responsive"/>
							</a>
							#{/if}#{else}
								<a class="navbar-brand" href="@{HomeCtr.Home()}">
									<img src="@{'/public/images/nav_logo.png'}" class="img img-responsive"/>
								</a>
							#{/else}
						</div>

						<div class="collapse navbar-collapse" id="catalog-main-menu">
							<!-- Komoditas -->
							<div class="col-md-1 btn-komoditas">
								<div class="komoditas-menu">
									<a href="#">&{'komoditas.label'}</a>
								</div>
							</div>
							<!-- End Komoditas -->
							<!-- Search -->
							<div class="col-md-5">
								#{include 'PublikCtr/parts/_searchBarHeader.html'/}
							</div>
							<!-- End Search -->
							<!-- Login -->
							<ul class="nav navbar-nav navbar-right">
								#{if aktifUser!=null}
									#{if aktifUser.isProvider() || aktifUser.isDistributor()}
										*{<li><a href="@{dashboard.DashboardCtr.dashboardPenyedia()}"><i class="fa fa-dashboard"></i> &{'dashboard.label'}</a></li>}*
									#{/if}
									#{if aktifUser.isPpk()}
										*{<li><a href="@{dashboard.DashboardCtr.dashboardPpk()}"><i class="fa fa-dashboard"></i> &{'dashboard.label'}</a></li>}*
									#{/if}
									#{if aktifUser.isPp()}
										*{<li><a href="@{dashboard.DashboardCtr.dashboardPp()}"><i class="fa fa-dashboard"></i> &{'dashboard.label'}</a></li>}*
									#{/if}
									#{if aktifUser.isPokja()}
										*{<li><a href="@{dashboard.DashboardCtr.dashboardPokja()}"><i class="fa fa-dashboard"></i> &{'dashboard.label'}</a></li>}*
									#{/if}
									*{#{include 'katalog/ProdukCtr/parts/_chatBorderNotif.html'/}}*
									<li class="dropdown">
										<a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false" style="white-space: nowrap;overflow:hidden;text-overflow:ellipsis;max-width: 120px;"><i class="fa fa-user"></i> ${aktifUser.nama_lengkap} <span class="caret"></span></a>
										<ul class="dropdown-menu">
											<li><a href="@{admin.UserCtr.logout()}">&{'keluar.label'}</a></li>
										</ul>
									</li>
								#{/if}
								#{else}
									<li><a href="@{LoginCtr.index()}">&{'masuk.label'}</a></li>
								#{/else}
							</ul>
							<!-- END Login -->
						</div>
						</div>
					</div>
				</nav>
				<!-- List Komoditas -->
					#{include 'PublikCtr/parts/_komoditasMenu.html'/}
				<!-- End List Komoditas -->

				<div class="navbar-menu">
					<div class="container-fluid">
						<div class="collapse navbar-collapse">
							#{desktopmenu /}
						</div>
					</div>
				</div>
   			</div>
            <div>
                <p style="margin-bottom: 4%"></p>
            </div>
            <!-- End Header -->
   			
   			<!-- Content -->
   			<div class="main-content-wrapper">
   				#{doLayout /}
   			</div>
   			<!-- End Content -->
   			
   			<!-- Footer -->
   			<div class="main-footer-wrapper">
   				<div class="container">
                    <div class="row">
                        <div class="col-md-12">
                            <a href="https://www.facebook.com/eprocurement.lkpp/" target="_blank" class="btn btn-social-icon btn-facebook">
                                <span class="fa fa-facebook"></span>
                            </a>
                            <a href="https://twitter.com/eproc_lkpp/" target="_blank" class="btn btn-social-icon btn-twitter">
                                <span class="fa fa-twitter"></span>
                            </a>
                            <a href="https://www.instagram.com/eproc.lkpp/" target="_blank" class="btn btn-social-icon btn-instagram">
                                <span class="fa fa-instagram"></span>
                            </a>
                            *{<a href="https://www.youtube.com/" target="_blank" class="btn btn-social-icon btn-google">}*
                                *{<span class="fa fa-youtube"></span>}*
                            *{</a>}*
                        </div>
                    </div>
					<br>
	        		<div class="row">
	        			<div class="col-md-12">
		        			&copy; 2020 Lembaga Kebijakan Pengadaan Barang/Jasa Pemerintah (LKPP)
		        		</div>
	        		</div>
	        	</div>
   			</div>
   			<!-- End Footer -->
    	</div>

        <!-- Modal -->
        <div class="modal fade" id="listBasketModal" tabindex="-1" role="dialog"
             aria-labelledby="myModalLabel">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal"
                                aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                        <h4 class="modal-title" id="myModalLabel">&{'keranjang_belanja.label'}</h4>
                    </div>
                    <div class="modal-body">

                    </div>
                </div>
            </div>
        </div>
        </div>

        <script src="@{'/public/javascripts/jquery-1.12.1.min.js'}" type="text/javascript"> </script>
        <script src="@{'public/javascripts/jquery-ui.min.js'}"></script>
        <script src="@{'/public/javascripts/bootstrap.min.js'}" type="text/javascript"> </script>
        <script src="@{'/public/javascripts/jquery.bootstrap.wizard.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/bootstrap-datatables.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/datepicker/js/bootstrap-datepicker.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/datepicker/locales/bootstrap-datepicker.id.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/select2/js/select2.full.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/select2/js/i18n/id.js'}" type="text/javascript"> </script>
        <script src="@{'public/javascripts/js-xlsx/jszip.js'}" type="text/javascript" ></script>
        <script src="@{'public/javascripts/js-xlsx/xlsx.js'}" type="text/javascript" ></script>
        <script src="@{'public/javascripts/filesaver/FileSaver.min.js'}" type="text/javascript" ></script>
        <script src="@{'public/javascripts/blob/Blob.js'}" type="text/javascript" ></script>
        <script src="@{'/public/javascripts/utility.js'}" type="text/javascript"> </script>
        <script src="@{'/public/javascripts/sikap-utility.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/ckeditor/ckeditor.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/moment/min/moment.min.js'}" type="text/javascript"> </script>
	  	<script src="@{'/public/javascripts/Chart.min.js'}" type="text/javascript"> </script>
	  	<script src="@{'/public/javascripts/dashboard-data.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/moment/locale/id.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/ekko-lightbox.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/sweetalert2/dist/sweetalert2.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/fileuploader-2.2/dist/jquery.fileuploader.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/lightgallery.js-1.1.3/dist/js/lightgallery.min.js'}" type="text/javascript"> </script>
	    <script src="@{'/public/javascripts/eonasdan-bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js'}" type="text/javascript"> </script>
        <script type="text/javascript" src="@{'public/javascripts/jquery.ui.widget.min.js'}"></script>
        <script type="text/javascript" src="@{'public/javascripts/jquery.iframe-transport.min.js'}"></script>
        <script type="text/javascript" src="@{'public/javascripts/jquery.fileupload.min.js'}"></script>
        <script type="text/javascript" src="@{'public/javascripts/jquery.fileupload-process.min.js'}"></script>
        <script type="text/javascript" src="@{'public/javascripts/jquery.fileupload-validate.js'}"></script>
        <script type="text/javascript" src="@{'public/javascripts/jQuery-Tags-Input-master/src/jquery.tagsinput.js'}"></script>
		<script type="text/javascript" src="@{'public/javascripts/formatcurrency/jquery.formatCurrency-1.4.0.min.js'}"></script>
		<script type="text/javascript" src="@{'public/plugins/spinner/dist/jquery.loading.min.js'}"></script>
		<script type="text/javascript" src="@{'public/javascripts/lazy-master/jquery.lazy.min.js'}"></script>
		<script type="text/javascript" src="@{'public/javascripts/lazy-master/jquery.lazy.plugins.min.js'}"></script>
        <script src="https://apis.google.com/js/platform.js" async defer></script>

		#{get 'moreLibs' /}

		#{get 'validationJs' /}
        #{get 'moreScripts' /}


        <script type="text/javascript">

//            $( "#basketBtn").click(function(e) {
//                e.preventDefault();
//                $('#listBasketModal').modal('show').find('.modal-body').load($(this).attr('href'));
//            });
			$(document).ajaxStart(function(){$.showLoading();});
			$(document).ajaxComplete(function(){$.hideLoading();});
			$(document).ajaxSuccess(function(){$.hideLoading();});
			$(document).ajaxError(function(){$.hideLoading();});

			function submitPolling(polId){
				var polPilih = $("input[name=vote]:checked").val();
				$.ajax({
					url: '@{PublikCtr.submitPolling()}',
					data: {"polId": polId,"vote": polPilih},
					type: 'POST',
					success: function(res){
						if(res.result == 'ok')
							$('#alert').html('<div class="alert alert-success"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Berhasil melakukan polling</div>').show().fadeOut(3000);
						else if(res.result == 'login')
							$('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Anda harus Login terlebih dahulu</div>').show().fadeOut(3000);
						else if(res.result == 'exist')
							$('#alert').html('<div class="alert alert-danger alert-dismissible"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Anda sudah melakukan polling</div>').show().fadeOut(3000);
						else if(res.result == 'empty')
							$('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Anda belum memilih</div>').show().fadeOut(3000);
						else
							$('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Terjadi Kesalahan, Gagal melakukan polling</div>').show().fadeOut(3000);
					},
					error: function(){
						$('#alert').html('<div class="alert alert-danger"><button class="close" data-dismiss="alert" aria-label="Close"><i class="fa fa-close" aria-hidden="true"></i></button>Terjadi Kesalahan, Gagal melakukan polling</div>').show().fadeOut(3000);
					}
				});
			}
		//bgs-ecatalogue 2018-start
        </script>


		<script type="text/javascript">
        $(document).ready(function(){
            function getEventTarget(e) {
                e = e || window.event;
                return e.target || e.srcElement;
            }

            //ketika diklik
            var ul = document.getElementById('ui-id-1');
            var liclik = document.getElementById('linkcari');
            ul.onclick = function(event) {
                var target = getEventTarget(event);
                var htmlx = ''+target.innerHTML;
                $('#linkcari').append('<div id="linkprod">'+htmlx+'</div>');
                $('#linkcari').trigger('click');
            };

            $('#linkcari').on('click',function (e) {
                var uri = $('#baseurl').val();
                //alert($('#linkprod a').attr('href'));
                window.location.href = uri+$('#linkprod a').attr('href');
            });

            //ketika dienter
            // var li = $('li .ui-menu-item');
            var elink = $('#elink');
            var elinkselect = $('#elinkselect');
		*{$('li .ui-menu-item a').css("width","100%");}*
		*{var liSelected;}*
		*{$("ul li.ui-menu-item:first").addClass("selected");}*
            $(window).keydown(function(e){
                var uri = $('#baseurl').val();
                var linkx = null;

                if (e.keyCode == 13 && elink.val()!= '' && elinkselect.val()=="ready") { // enter
                    // console.log("pencet ini "+uri+linkx);
                    window.location.href = uri+elink.val();
                }
                if (e.keyCode == 27 && elink.val()!='') { //esc
                    elink.val('');
                    elinkselect.val('');
                }
                if (e.keyCode == 38) { // up
                    var selected = $(".ui-state-active");
                    linkx = $('#ui-id-1 li.ui-menu-item a.ui-state-active').attr('href');
                    if (!!linkx){
                        elink.val(linkx);
                        elinkselect.val("ready");
                    }else{
                        elinkselect.val("not");
                    }
                    // console.log(linkx+" --- up "+elink.val());
                }
                if (e.keyCode == 40) { // down
                    var selected = $(".ui-state-active");
                    linkx = $('#ui-id-1 li.ui-menu-item a.ui-state-active').attr('href');
                    if (!!linkx){
                        elink.val(linkx);
                        elinkselect.val("ready");
                    }else{
                        elinkselect.val("not");
                    }
                    // console.log(linkx + " --- down "+elink.val());
                }
            });

			// backdate kalender pengiriman paket
            var hari = new Date('${paket?.created_date}');
            var bulan = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'];

            var datePengiriman = hari.getFullYear() + ", " + bulan[hari.getMonth()] + ", " + hari.getDate();


            $('#testdatecreate').datepicker({
                startDate: new Date(datePengiriman),
                format: 'dd-mm-yyyy',
                language: 'id'
            })

            // backdate tanggal pengiriman (negosiasi)
            var hari = new Date('${paket?.created_date}');
            var bulan = ['1', '2', '3', '4', '5', '6', '7', '8', '9', '10', '11', '12'];

            var datePengirimanNego = hari.getFullYear() + ", " + bulan[hari.getMonth()] + ", " + hari.getDate();


            $('.batasPengiriman').datepicker({
                startDate: new Date(datePengirimanNego),
                format: 'dd-mm-yyyy',
                language: 'id'
            })

			// comment chat
            // function load_unseen_notification_navbar()
            *{{}*
                *{$(document).ajaxStart(function(){$.hideLoading();});}*
                *{$(document).ajaxComplete(function(){$.hideLoading();});}*
                *{$(document).ajaxSuccess(function(){$.hideLoading();});}*
                *{try{}*
                    *{var formData = {}*
                        *{'produk_id_post'          : $('input[name=produk_id]').val(),}*
                        *{'file_post'              : $('input[name=file]').val()}*
                    *{};}*
                    *{$.ajax({}*
                        *{url:"@{chat.ChatCtr.fetchNewChatForBorderNavbar()}",}*
                        *{method:"GET",}*
                        *{data:formData,}*
                        *{dataType: "json",}*
                        *{success:function(data)}*
                        *{{}*
                            *{JSON.stringify(data);}*
                            *{// $('.msg_container_base').html(data.dataChat);}*
                            *{$('.count-notif-pesan').html(data.countNotifPesan);}*
                            *{// $('.list-notif-pesan').html(data.navbarChat);}*
                        *{}}*
                    *{});}*
				*{}catch (e) {}*
					*{console.log("error get chat"+e);}*
				*{}}*
            *{}}*

            *{#{if models.common.AktifUser.getAktifUser() != null}}*
				// console.log("chat is on");

				// load_unseen_notification_navbar();

				// setInterval(function(){
				// 	load_unseen_notification_navbar();
				// }, 5000);

			*{#{/if}}*
			*{#{else}}*
                // console.log("chat is off");
			*{#{/else}}*
        });
    </script>
    </body>
</html>
